Summary: Support libraries for MrProject.
Name: libmrproject
Version: 0.10
Release: 0.dag
License: LGPL
Group: System Environment/Libraries
URL: http://www.codefactory.se/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.codefactory.se/pub/software/mrproject/source/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: glib2-devel >= 2.0.4, libxml2-devel >= 2.4.7, libgsf-devel >= 1.4.0
BuildRequires: libgnomeprint22, libgnomeprintui22

%description
A support library for accessing MrProject data.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall 
%find_lang %{name}

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la \
		%{buildroot}%{_libdir}/mrproject/file-modules/*.la \
		%{buildroot}%{_libdir}/mrproject/storage-modules/*.la \
		%{buildroot}%{_libdir}/python2.2/site-packages/*.la

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/mrproject/
%{_libdir}/python2.2/site-packages/*.so
%{_datadir}/mrproject/
#exclude %{_libdir}/*.la
#exclude %{_libdir}/mrproject/file-modules/*.la
#exclude %{_libdir}/mrproject/storage-modules/*.la

%files devel
%defattr(-, root, root, 0755)
%doc %{_datadir}/gtk-doc/html/libmrproject/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/mrproject-1.0/

%changelog
* Sat Sep 13 2003 Dag Wieers <dag@wieers.com> - 0.10-0
- Updated to release 0.10.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.9.1-0
- Updated to release 0.9.1.

* Thu Jan 23 2003 Dag Wieers <dag@wieers.com> - 0.8-0
- Initial package. (using DAR)
